t.rast.series(1)

NAME
t.rast.series.py - Performs different aggregation algorithms from r.series on all or a subset of raster maps in a space time raster dataset.

KEYWORDS
temporal, series, raster

SYNOPSIS
t.rast.series.py
t.rast.series.py --help
t.rast.series.py [-tn] input=name method=string [order=string[,string,...]] [where=sql_query] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-t
    Do not assign the space time raster dataset start and end time to the output map

-n
    Propagate NULLs

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster dataset

method=string [required]
    Aggregate operation to be performed on the raster maps
    Options: average, count, median, mode, minimum, min_raster, maximum, max_raster, stddev, range, sum, variance, diversity, slope, offset, detcoeff, quart1, quart3, perc90, quantile, skewness, kurtosis
    Default: average

order=string[,string,...]
    Sort the maps by category
    Options: id, name, creator, mapset, creation_time, modification_time, start_time, end_time, north, south, west, east, min, max
    Default: start_time

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

output=name [required]
    Name for output raster map

DESCRIPTION
t.rast.series is a simple wrapper for the raster module r.series. It supports a subset of the aggregation methods of r.series.

The input of this module is a single space time raster dataset, the output is a single raster map layer. A subset of the input space time raster dataset can be selected using the where option. The sorting of the raster map layer can be set using the order option. Be aware that the order of the maps can significantly influence the result of the aggregation (e.g.: slope). By default the maps are ordered by start_time.

EXAMPLE
Example for monthly aggregation with complex where statements to aggregate a single month in a time series of several years:

# January averages
t.rast.series input=tempmean_monthly \
    output=jan_average method=average \
    where="start_time = datetime(start_time, ’start of year’, ’0 month’)"
# February averages
t.rast.series input=tempmean_monthly \
    output=feb_average method=average \
    where="start_time = datetime(start_time, ’start of year’, ’1 month’)"
# March averages
t.rast.series input=tempmean_monthly \
    output=mar_average method=average \
    where="start_time = datetime(start_time, ’start of year’, ’2 month’)"

SEE ALSO
r.series, t.create, t.info

Temporal data processing Wiki

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2015-07-20 16:16:59 +0200 (po, 20 7 2015) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual